<ui:composition template="/WEB-INF/templates/layout.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
	
	<f:metadata>
		<f:viewParam name="teamId" value="#{teamUpdateBacking.id}" />
		<f:viewAction action="#{teamUpdateBacking.init}" />
	</f:metadata>
	
	<ui:param name="title" value="Update Team" />
	
	<ui:define name="content">
		<div class="content-wrapper">
			<div class="content-header">
				<h1>Update #{teamUpdateBacking.name}</h1>
				<h5>You can change your teams' properties here.</h5>
			</div>
			<p:separator />
			<div class="content-body p-grid p-formgrid ui-fluid">
				<div class="card">
					<h:form id="teamUpdateForm" method="post" enctype="application/x-www-form-urlencoded">
						<p:messages id="messages" globalOnly="true" showDetail="true">
							<p:autoUpdate />
						</p:messages>
						<div class="p-field">
							<p:outputLabel for="teamName" value="Name"/>
							<p:inputText id="teamName" 
								value="#{teamUpdateBacking.name}"
								required="true"
								requiredMessage="Team name cannot be empty">
								<p:clientValidator event="blur" />	
							</p:inputText>
							<small><p:message id="teamName-error" for="teamName" display="text" /></small>
						</div>
						<div class="p-field">
							<p:outputLabel for="teamDescription" value="Description (optional)" />
							<p:inputTextarea id="teamDescription"
								value="#{teamUpdateBacking.description}" 
								required="false"
								rows="10"
								cols="50"
								autoResize="true"
								tabindex="2"></p:inputTextarea>
						</div>
						<div class="p-field">
							<p:outputLabel for="selectMembers" value="Add members to the team (optional)" />
							<p:selectCheckboxMenu id="selectMembers"
								value="#{teamUpdateBacking.selectedUsers}"
								filter="true" filterMatchMode="contains"
								showCheckbox="true"
								multiple="true"
								dynamic="true"
								label="Select members">
								<p:ajax event="itemUnselect" listener="#{teamUpdateBacking.onItemUnselect()}" />
								<f:selectItems value="#{teamUpdateBacking.users}" var="u" itemLabel="#{u.email}" itemValue="#{u.email}" />
							</p:selectCheckboxMenu>
						</div>
						<div class="btn-container">
								<p:commandButton id="btnUpdateTeam" 
									value="Update" 
									action="#{teamUpdateBacking.updateTeam}"
									validateClient="true" 
									update="@form"
									styleClass="form-button" />
								<p:linkButton outcome="/user/team/teams.xhtml" 
									value="Cancel" 
									styleClass="form-button btn-delete" />
						</div>
					</h:form>
				</div>
			</div>
		</div>
	</ui:define>
</ui:composition>